Standard Java libraries for Java implementations of openEHR
Clone or download
gardes Fix for bug introduced in commit 88a9200 - otherwise XMLSerializer ne…
…ver serialises the text or description of at-codes (and other string maps)
Latest commit 1423cc8 Jan 11, 2018

README.md

java-libs

Java openEHR Implementation project (ADL 1.4)

Getting Started

Requirements

  • Java 8 or higher
  • Maven 3.0.4 or higher

Usage

The java-libs project is available at Maven Central.

For example, if you need to use the adl-parser, add into your pom.xml:

<dependency>
    <groupId>org.openehr.java-libs</groupId>
    <artifactId>adl-parser</artifactId>
    <version>1.0.71</version>
</dependency>

Installation

To build the whole project, first clone it, and once inside the project's folder (by default java-libs), run:

mvn clean install

This will create binary files in the target directories of each submodule.